https://bugs.chromium.org/p/chromium/issues/detail?id=1095962

--- /media/base/media.cc
+++ /media/base/media.cc
@@ -2,6 +2,8 @@
 // Use of this source code is governed by a BSD-style license that can be
 // found in the LICENSE file.
 
+#include <limits>
+
 #include "media/base/media.h"
 
 #include "base/allocator/buildflags.h"
@@ -41,7 +43,7 @@
 
 #if BUILDFLAG(USE_ALLOCATOR_SHIM)
     // Remove allocation limit from ffmpeg, so calls go down to shim layer.
-    av_max_alloc(0);
+    av_max_alloc(std::numeric_limits<size_t>::max());
 #endif  // BUILDFLAG(USE_ALLOCATOR_SHIM)
 
 #endif  // BUILDFLAG(ENABLE_FFMPEG)
--- /third_party/ffmpeg/chromium/dllmain.cc
+++ /third_party/ffmpeg/chromium/dllmain.cc
@@ -3,6 +3,7 @@
 // found in the LICENSE file.
 
 #include <intrin.h>
+#include <limits>
 #include <new.h>
 #include <stdlib.h>
 #include <windows.h>
@@ -28,7 +29,7 @@
   if (reason == DLL_PROCESS_ATTACH) {
     DisableThreadLibraryCalls(instance);
     // Remove allocation limit from ffmpeg, so calls go down to shim layer.
-    av_max_alloc(0);
+    av_max_alloc(std::numeric_limits<size_t>::max());
     // Enable OOM crashes in the shim for all malloc calls that fail.
     _set_new_mode(1);
     _set_new_handler(&OnNoMemory);
